## GladeEditorProperty GladeEditorProperty — A generic widget to edit a GladeProperty. |

## Functions

void | glade_editor_property_load ()
void | glade_editor_property_load_by_widget ()
void | glade_editor_property_commit ()
void | glade_editor_property_commit_no_callback ()
const gchar * | glade_editor_property_get_custom_text ()
gboolean | glade_editor_property_get_disable_check ()
GtkWidget * | glade_editor_property_get_item_label ()
GladePropertyDef * | glade_editor_property_get_property_def ()
GladeProperty * | glade_editor_property_get_property ()
gboolean | glade_editor_property_loading ()
void | glade_editor_property_set_custom_text ()
void | glade_editor_property_set_disable_check ()
gboolean | glade_editor_property_show_i18n_dialog ()
gboolean | glade_editor_property_show_object_dialog ()
gboolean | glade_editor_property_show_resource_dialog ()

## Types and Values

| GladeEditorProperty

## Description

The GladeEditorProperty is a factory that will create the correct control for the GladePropertyDef it was created for and provides a simple unified api to them.

## Functions

### glade_editor_property_load ()

    void
    glade_editor_property_load (GladeEditorProperty *eprop,
                                GladeProperty *property);

Loads `property` values into `eprop` and connects. (the editor property will watch the property's value until its loaded with another property or `NULL`)

#### Parameters

eprop | A GladeEditorProperty |
property | A GladeProperty |

### glade_editor_property_load_by_widget ()

    void
    glade_editor_property_load_by_widget (GladeEditorProperty *eprop,
                                          GladeWidget *widget);

Convenience function to load the appropriate GladeProperty into `eprop` from `widget`

#### Parameters

eprop | A GladeEditorProperty |
widget | A GladeWidget |

### glade_editor_property_commit ()

    void
    glade_editor_property_commit (GladeEditorProperty *eprop,
                                  GValue *value);

Commits `value` to the property currently being edited by `eprop` .

#### Parameters

eprop | A GladeEditorProperty |
value | The GValue to commit |

### glade_editor_property_commit_no_callback ()

    void
    glade_editor_property_commit_no_callback
                                   (GladeEditorProperty *eprop,
                                    GValue *value);

### glade_editor_property_get_custom_text ()

    const gchar *
    glade_editor_property_get_custom_text (GladeEditorProperty *eprop);

### glade_editor_property_get_disable_check ()

    gboolean
    glade_editor_property_get_disable_check
                                   (GladeEditorProperty *eprop);

### glade_editor_property_get_item_label ()

    GtkWidget *
    glade_editor_property_get_item_label (GladeEditorProperty *eprop);

#### Parameters

eprop | a GladeEditorProperty |

#### Returns

the GladePropertyLabel.

[transfer none]

### glade_editor_property_get_property_def ()

    GladePropertyDef *
    glade_editor_property_get_property_def
                                   (GladeEditorProperty *eprop);

#### Parameters

eprop | a GladeEditorProperty |

#### Returns

the GladePropertyDef.

[transfer none]

### glade_editor_property_get_property ()

    GladeProperty *
    glade_editor_property_get_property (GladeEditorProperty *eprop);

#### Parameters

eprop | a GladeEditorProperty |

#### Returns

the GladeProperty.

[transfer none]

### glade_editor_property_loading ()

    gboolean
    glade_editor_property_loading (GladeEditorProperty *eprop);

### glade_editor_property_set_custom_text ()

    void
    glade_editor_property_set_custom_text (GladeEditorProperty *eprop,
                                           const gchar *custom_text);

### glade_editor_property_set_disable_check ()

    void
    glade_editor_property_set_disable_check
                                   (GladeEditorProperty *eprop,
                                    gboolean disable_check);

### glade_editor_property_show_i18n_dialog ()

    gboolean
    glade_editor_property_show_i18n_dialog
                                   (GtkWidget *parent,
                                    gchar **text,
                                    gchar **context,
                                    gchar **comment,
                                    gboolean *translatable);

Runs a dialog and updates the provided values.

#### Parameters

parent | The parent widget for the dialog. |
text | A read/write pointer to the text property |
context | A read/write pointer to the translation context |
comment | A read/write pointer to the translator comment |
translatable | A read/write pointer to the translatable setting] |

#### Returns

`TRUE` if OK was selected.

### glade_editor_property_show_object_dialog ()

    gboolean
    glade_editor_property_show_object_dialog
                                   (GladeProject *project,
                                    const gchar *title,
                                    GtkWidget *parent,
                                    GType object_type,
                                    GladeWidget *exception,
                                    GladeWidget **object);

### glade_editor_property_show_resource_dialog ()

    gboolean
    glade_editor_property_show_resource_dialog
                                   (GladeProject *project,
                                    GtkWidget *parent,
                                    gchar **filename);

## Types and Values

### GladeEditorProperty

    typedef struct _GladeEditorProperty GladeEditorProperty;